Add a webhook

POST https://manage.kontent.ai/v2/projects/:environment_id/webhooks-vnext

Add a webhook to a given environment.

Request Body

{"name"=>"<string>", "secret"=>"<string>", "delivery_triggers"=>{"slot"=>{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, "events"=>{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, "content_type"=>{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, "content_item"=>{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, "taxonomy"=>{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, "asset"=>{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, "language"=>{"value"=>"<Error: Too many levels of nesting to fake this schema>"}}, "url"=>"<url>", "id"=>"<uuid>", "headers"=>[{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}], "enabled"=>"<boolean>", "last_modified"=>"<dateTime>", "health_status"=>"<string>"}

HEADERS

KeyDatatypeRequiredDescription
Content-Typestring
Acceptstring

RESPONSES

status: Created

{&quot;name&quot;:&quot;Example webhook&quot;,&quot;secret&quot;:&quot;fNp+QH1sE+fSXoNFlQ4kwiTJz0er2L34gFItAAVHws8=&quot;,&quot;delivery_triggers&quot;:{&quot;slot&quot;:{&quot;value&quot;:&quot;\u003cError: Too many levels of nesting to fake this schema\u003e&quot;},&quot;events&quot;:{&quot;value&quot;:&quot;\u003cError: Too many levels of nesting to fake this schema\u003e&quot;},&quot;content_type&quot;:{&quot;value&quot;:&quot;\u003cError: Too many levels of nesting to fake this schema\u003e&quot;},&quot;content_item&quot;:{&quot;value&quot;:&quot;\u003cError: Too many levels of nesting to fake this schema\u003e&quot;},&quot;taxonomy&quot;:{&quot;value&quot;:&quot;\u003cError: Too many levels of nesting to fake this schema\u003e&quot;},&quot;asset&quot;:{&quot;value&quot;:&quot;\u003cError: Too many levels of nesting to fake this schema\u003e&quot;},&quot;language&quot;:{&quot;value&quot;:&quot;\u003cError: Too many levels of nesting to fake this schema\u003e&quot;}},&quot;url&quot;:&quot;https://example.com/webhook&quot;,&quot;id&quot;:&quot;5df74e27-1213-484e-b9ae-bcbe90bd5990&quot;,&quot;headers&quot;:[{&quot;key&quot;:&quot;api-key&quot;,&quot;value&quot;:&quot;Secret API key value&quot;},{&quot;key&quot;:&quot;Custom-key&quot;,&quot;value&quot;:&quot;Custom header value with alphanum3r1c characters.&quot;}],&quot;enabled&quot;:true,&quot;last_modified&quot;:&quot;2023-09-18T09:29:08.4356117Z&quot;,&quot;health_status&quot;:&quot;working&quot;}